std::__detail::_StateSeq< _TraitsT >(3cxx)

NAME
std::__detail::_StateSeq< _TraitsT > - Describes a sequence of one or more _State, its current start and end(s). This structure contains fragments of an NFA during construction.

SYNOPSIS

#include <regex_automaton.h>

  Public Types

typedef _NFA< _TraitsT > _RegexT

  Public Member Functions

_StateSeq (_RegexT &__nfa, _StateIdT __s)
_StateSeq (_RegexT &__nfa, _StateIdT __s, _StateIdT __end)
void _M_append (_StateIdT __id)
void _M_append (const _StateSeq &__s)
_StateSeq _M_clone ()

  Public Attributes

_StateIdT _M_end
_RegexT & _M_nfa
_StateIdT _M_start

Detailed Description

  template<typename _TraitsT>
class std::__detail::_StateSeq< _TraitsT >"Describes a sequence of one or more _State, its current start and end(s). This structure contains fragments of an NFA during construction.

Definition at line 355 of file regex_automaton.h.

Member Typedef Documentation

  template<typename _TraitsT > typedef _NFA<_TraitsT> std::__detail::_StateSeq< _TraitsT >::_RegexT

Definition at line 358 of file regex_automaton.h.

Constructor & Destructor Documentation

  template<typename _TraitsT > std::__detail::_StateSeq< _TraitsT >::_StateSeq (_RegexT & __nfa, _StateIdT __s) [inline]

Definition at line 361 of file regex_automaton.h.

  template<typename _TraitsT > std::__detail::_StateSeq< _TraitsT >::_StateSeq (_RegexT & __nfa, _StateIdT __s, _StateIdT __end) [inline]

Definition at line 365 of file regex_automaton.h.

Member Function Documentation

  template<typename _TraitsT > void std::__detail::_StateSeq< _TraitsT >::_M_append (_StateIdT __id) [inline]

Definition at line 371 of file regex_automaton.h.

  template<typename _TraitsT > void std::__detail::_StateSeq< _TraitsT >::_M_append (const _StateSeq< _TraitsT > & __s) [inline]

Definition at line 379 of file regex_automaton.h.

  template<typename _TraitsT > _StateSeq< _TraitsT > std::__detail::_StateSeq< _TraitsT >::_M_clone ()

Definition at line 195 of file regex_automaton.tcc.

Member Data Documentation

  template<typename _TraitsT > _StateIdT std::__detail::_StateSeq< _TraitsT >::_M_end

Definition at line 392 of file regex_automaton.h.

  template<typename _TraitsT > _RegexT& std::__detail::_StateSeq< _TraitsT >::_M_nfa

Definition at line 390 of file regex_automaton.h.

  template<typename _TraitsT > _StateIdT std::__detail::_StateSeq< _TraitsT >::_M_start

Definition at line 391 of file regex_automaton.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.